
import request from '@/utils/request'
// 查询数据
export function selectmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/all',
    method: 'post',
    data
  })
}



// 修改数据
export function updatempManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/update',
    method: 'post',
    data
  })
}


export function updateZympManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/updateZy',
    method: 'post',
    data
  })
}

//表面处理接收
export function selectBmclmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/bmclall',
    method: 'post',
    data
  })
}
//表面处理修改bmclupdate
export function updateBmclmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/bmclupdate',
    method: 'post',
    data
  })
}
//表面处理接收修改updatebmcljs
export function updateBmcljsmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/updatebmcljs',
    method: 'post',
    data
  })
}
//表面处理完工回报查询 bmclzyall
export function selectBmclwgmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/bmclzyall',
    method: 'post',
    data
  })
}
//表面处理完工回报保存 bmclzyupdate
export function updateBmclwgmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/bmclzyupdate',
    method: 'post',
    data
  })
}
//表面处理完工回报提交 updatebmclzy
export function updateBmclwghbmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/updatebmclzy',
    method: 'post',
    data
  })
}
//配盘完工查询  ppwgall
export function selectppwgmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/ppwgall',
    method: 'post',
    data
  })
}
//配盘完工修改  ppwgupdate
export function updateppwgmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/ppwgupdate',
    method: 'post',
    data
  })
}

//配盘完工提交  ppwgupdate
export function updateppwgYjmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/updateppwg',
    method: 'post',
    data
  })
}
//前方配送维护 /qfpsall
export function selectQfpsmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/qfpsall',
    method: 'post',
    data
  })
}

//前方配送保存 /qfpsupdate
export function updateQfpsmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/qfpsupdate',
    method: 'post',
    data
  })
}

//前方配送提交 /updateqfps
export function updateQfpsTjmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/updateqfps',
    method: 'post',
    data
  })
}

//前方配送接收 /qfpsjsall
export function selectQfpsJsmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/qfpsjsall',
    method: 'post',
    data
  })
}
//前方配送接收保存 /qfpsjsupdate
export function updateQfpsJsmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/qfpsjsupdate',
    method: 'post',
    data
  })
}

//前方配送接收提交 /updateqfpsjs
export function updateQfpsjsTjmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/updateqfpsjs',
    method: 'post',
    data
  })
}
//探伤标识查询 /tsbsall
export function selectTsbsmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/tsbsall',
    method: 'post',
    data
  })
}

//外观标识查询 /tsbsall
export function selectWgbsmpManuProcess(data) {
  console.log(data)
  return request({
    url: '/api/gxzz/mpManuProcess/wgbsall',
    method: 'post',
    data
  })
}



